##### basic_stream_file::basic_stream_file (2 of 10 overloads)

Construct a `basic_stream_file` without opening it.

    template<
        typename ExecutionContext>
    basic_stream_file(
        ExecutionContext & context,
        typename constraint< is_convertible< ExecutionContext &, execution_context & >::value, defaulted_constraint >::type  = defaulted_constraint());

This constructor initialises a file without opening it. The file needs to be opened before data can be read from or or written to it.

###### Parameters

context

  An execution context which provides the I/O executor that the file will use, by default, to dispatch handlers for any asynchronous operations performed on the file.